Bug 1161340

Summary: Review Request: tcalc - The terminal calculator
Product: [Fedora] Fedora Reporter: Mohammed Isam <mohammed_isam1984>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mail, package-review, psabata
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: mail: fedora-review+
gwync: fedora-cvs+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: tcalc-1.3-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-01 02:38:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Mohammed Isam 2014-11-06 23:39:33 UTC
Spec URL: https://sites.google.com/site/mohammedisam2000/home/projects/tcalc.spec
SRPM URL: https://sites.google.com/site/mohammedisam2000/home/projects/tcalc-1.0-1.fc20.src.rpm
Description: The terminal calculator is a small and helpful program to help users of the GNU/Linux terminal do calculations simply and quickly. The formula to be calculated can be fed to tcalc through the command line. Alternatively, tcalc can be run with no formula and then the free mode is started, in which the calculator will wait for user input, do the necessary calculations and print out the result, and the cycle will repeat until the user enters 'q' or 'quit'. Support for reading formulae from text files is under way.

The calculator works with the decimal, hexadecimal, octal, and binary number
systems. It automatically identifies hex numbers if entered with a preceding 
'0x' or '0X', octals by preceding the number with a zero, binaries by 
preceding the number with 'b' and decimals by absence of all of the above. 
Alternatively, the user can indicate the type of input by setting the 'format' 
argument.

Fedora Account System Username: mohammedisam

Comment 1 Fabian Affolter 2014-11-07 09:28:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/doc/tcalc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
- rpmlint warnings
- Compiler flags
- License of ltmain.sh

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)". Detailed output of licensecheck
     in /home/fab/Documents/repos/reviews/1161340-tcalc/licensecheck.txt
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Texinfo files are installed using install-info in %post and %preun if
     package has .info files.
     Note: Texinfo .info file(s) in tcalc
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tcalc-1.0-1.fc20.x86_64.rpm
          tcalc-1.0-1.fc20.src.rpm
tcalc.x86_64: W: spelling-error %description -l en_US formulae -> formula, formulate, formulas
tcalc.x86_64: W: spelling-error %description -l en_US octals -> octal, octal s, octavos
tcalc.x86_64: W: manual-page-warning /usr/share/man/man1/tcalc.1.gz 19: warning: macro `0x'' not defined
tcalc.src: W: spelling-error %description -l en_US formulae -> formula, formulate, formulas
tcalc.src: W: spelling-error %description -l en_US octals -> octal, octal s, octavos
tcalc.src:35: W: configure-without-libdir-spec
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tcalc
tcalc.x86_64: W: spelling-error %description -l en_US formulae -> formula, formulate, formulas
tcalc.x86_64: W: spelling-error %description -l en_US octals -> octal, octal s, octavos
tcalc.x86_64: W: manual-page-warning /usr/share/man/man1/tcalc.1.gz 19: warning: macro `0x'' not defined
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
tcalc (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    info
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
tcalc:
    tcalc
    tcalc(x86-64)



Source checksums
----------------
http://sites.google.com/site/mohammedisam2000/home/projects/tcalc-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : b60cacc36b58ecbbec6a75ac027f73c6e43c7f040b65780c8fa042cebf285817
  CHECKSUM(SHA256) upstream package : b60cacc36b58ecbbec6a75ac027f73c6e43c7f040b65780c8fa042cebf285817


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1161340
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Nitpick
-------
- The URL doesn't provide any useful information about the tcalc.
- tcalc-1.0/ltmain.sh uses GPLv2 or later and not GPLv3 or later

Comment 3 Fabian Affolter 2014-11-11 14:38:18 UTC
(In reply to Fabian Affolter from comment #1)
> Issues:
> =======
> - Package does not contain duplicates in %files.
>   Note: warning: File listed twice: /usr/share/doc/tcalc

Not addressed

> - License of ltmain.sh

Not addressed

Comment 5 Mohammed Isam 2014-11-11 18:01:57 UTC
(In reply to Fabian Affolter from comment #3)
> (In reply to Fabian Affolter from comment #1)
> > Issues:
> > =======
> > - Package does not contain duplicates in %files.
> >   Note: warning: File listed twice: /usr/share/doc/tcalc

Removed line.

> 
> > - License of ltmain.sh

Fixed.

Comment 6 Fabian Affolter 2014-11-12 08:50:40 UTC
Package APPROVED

Comment 7 Mohammed Isam 2014-11-12 10:32:00 UTC
(In reply to Fabian Affolter from comment #6)
> Package APPROVED

Thanx a lot

Comment 8 Mohammed Isam 2014-11-12 10:40:29 UTC
New Package SCM Request
=======================
Package Name: tcalc
Short Description: The terminal calculator
Upstream URL: https://sites.google.com/site/mohammedisam2000/tcalc
Owners: mohammedisam
Branches: f19 f20 f21 el6 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2014-11-12 11:05:38 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-11-12 15:50:56 UTC
tcalc-1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tcalc-1.3-1.fc19

Comment 11 Fedora Update System 2014-11-12 15:51:38 UTC
tcalc-1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tcalc-1.3-1.fc20

Comment 12 Fedora Update System 2014-11-12 15:52:18 UTC
tcalc-1.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tcalc-1.3-1.fc21

Comment 13 Fedora Update System 2014-11-12 15:54:00 UTC
tcalc-1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tcalc-1.3-1.el6

Comment 14 Fedora Update System 2014-11-12 15:54:38 UTC
tcalc-1.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/tcalc-1.3-1.el7

Comment 15 Fedora Update System 2014-11-12 23:14:25 UTC
tcalc-1.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 16 Fedora Update System 2014-11-22 12:34:58 UTC
tcalc-1.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 17 Fedora Update System 2014-11-22 12:38:03 UTC
tcalc-1.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2014-11-30 19:18:21 UTC
tcalc-1.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 19 Fedora Update System 2014-11-30 19:21:17 UTC
tcalc-1.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 20 Fedora Update System 2014-12-06 10:02:54 UTC
tcalc-1.3-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 21 Fedora Update System 2015-10-13 10:05:26 UTC
tcalc-1.5-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0fd26dac01

Comment 22 Fedora Update System 2015-10-13 10:27:33 UTC
tcalc-1.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-252dcd32b1

Comment 23 Fedora Update System 2015-10-13 10:36:50 UTC
tcalc-1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4c1a11078f

Comment 24 Fedora Update System 2015-10-13 10:45:33 UTC
tcalc-1.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1f6149908b

Comment 25 Fedora Update System 2015-10-13 10:52:06 UTC
tcalc-1.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c549014a11

Comment 26 Fedora Update System 2015-10-14 02:13:17 UTC
tcalc-1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tcalc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4c1a11078f

Comment 27 Fedora Update System 2015-10-14 08:20:13 UTC
tcalc-1.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update tcalc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1f6149908b

Comment 28 Fedora Update System 2015-10-14 08:54:26 UTC
tcalc-1.5-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tcalc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0fd26dac01

Comment 29 Fedora Update System 2015-10-14 09:27:49 UTC
tcalc-1.5-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tcalc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-252dcd32b1

Comment 30 Fedora Update System 2015-10-14 13:48:06 UTC
tcalc-1.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update tcalc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c549014a11

Comment 31 Fedora Update System 2015-11-01 02:38:44 UTC
tcalc-1.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2015-11-01 16:21:36 UTC
tcalc-1.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2015-11-01 17:22:42 UTC
tcalc-1.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2015-11-01 21:52:11 UTC
tcalc-1.5-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2015-11-01 22:19:33 UTC
tcalc-1.5-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.